package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;

import java.util.List;

public interface WxEnterpriseRelatedService {

	TabHaobanWxEnterpriseRelated getByGicEnterpriseIdByEnterpriseRelatedId(String wxEnterpriseRelatedId);

	@Deprecated
	TabHaobanWxEnterpriseRelated getEnterpriseByGicEnterpriseId(String gicEnterpriseId);

	List<TabHaobanWxEnterpriseRelated> getByWxEnterpriseId(String wxEnterpriseId);

	/**
	 * 获取企业关联列表 根据商户id
	 *
	 * @param enterpriseId
	 * @return
	 */
	List<TabHaobanWxEnterprise> listByEnterpriseId(String enterpriseId);

	/**
	 * 获取企业关联列表 根据商户id
	 *
	 * @param enterpriseId
	 * @return
	 */
	TabHaobanWxEnterpriseRelated getByEnterpriseId(String wxEnterpriseId, String enterpriseId);
}
