package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.base.api.common.ServiceResponse;
import com.gic.haoban.manage.api.dto.MaterialCategoryDTO;
import com.gic.haoban.manage.api.dto.MaterialDTO;

public interface MaterialApiService {

	boolean hasCategoryNameExsit(String categoryName, String categoryParentId,String categoryId);

	void insertCategory(MaterialCategoryDTO materialCategoryDTO);

	List<MaterialCategoryDTO> listCategory(String wxEnterpriseId);

	MaterialCategoryDTO selectMaterialCategoryById(String categoryId);

	void editCategory(MaterialCategoryDTO materialCategoryDTO);

	List<MaterialDTO> listMaterialByCategoryId(String categoryId);

	void insertMaterial(MaterialDTO materialDTO);

	MaterialDTO selectMaterialById(String materialId);

	void editMaterial(MaterialDTO materialDTO);

	Page<MaterialDTO> listMaterial(String wxEnterpriseId, String keyword, String categoryId, Integer materialType,BasePageInfo pageInfo);

	String reUpdalodMetail(String materialId);

	List<MaterialCategoryDTO> listByParentCategory(String categoryId);

    /**
     * 分析素材
     *
     * @param toWxEnterpriseId
     * @param wxEnterpriseId
     * @param materialId
     */
    ServiceResponse<Void> shareMaterial(String wxEnterpriseId, String toWxEnterpriseId, String materialId);

}
