package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabStoreRelation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TabHaobanStoreRelationMapper {
    /**
     */
    int deleteByPrimaryKey(String storeRelationId);

    /**
     */
    int insert(TabStoreRelation record);

    /**
     */
    int insertSelective(TabStoreRelation record);

    /**
     */
    TabStoreRelation selectByPrimaryKey(String storeRelationId);

    /**
     */
    int updateByPrimaryKeySelective(TabStoreRelation record);

    /**
     */
    int updateByPrimaryKey(TabStoreRelation record);

    /**
     * 删除门店
     *
     * @param enterpriseId
     * @param storeId
     * @return
     */
    public int deleteStoreRalation(@Param("enterpriseId") String enterpriseId, @Param("storeId") String storeId);

    /**
     */
    List<TabStoreRelation> searchStoreRange(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("enterpriseId") String enterpriseId, @Param("search") String search);
}