package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.dto.StaffClerkBindLogDetailDTO;
import com.gic.haoban.manage.service.entity.TabHaobanStaffClerkBindLog;

import java.util.List;

/**
 * Created 2020/6/24.
 *
 * @author hua
 */
public interface StaffClerkBindLogService {
    /**
     * 绑定日志
     * @param bindLog
     */
    public void insert(TabHaobanStaffClerkBindLog bindLog);

    /**
     * 插入日志到mq
     * @param staffId
     * @param optStaffId
     * @param optType
     * @param channelCode
     * @param relationId
     */
    public void pushToMq(String staffId,String optStaffId,int optType,int channelCode,String relationId);

    /**
     *
     * @return
     */
    public Page<StaffClerkBindLogDetailDTO> pageBindLog(String wxEnterpriseId,List<String> clerkIds, List<String> staffIds,List<String> enterpriseIds,int optType,String search, BasePageInfo pageInfo);
}
